GLXINFO(1)

NAME
glxinfo - display info about a GLX extension and OpenGL renderer

SYNOPSIS
glxinfo [-bhilstv] [-display displayname]

DESCRIPTION
glxinfo lists information about the GLX extension, OpenGL capable visuals, and the OpenGL renderer on an X server. The GLX and renderer info includes the version and extension attributes. The visual info lists the GLX visual attributes available for each OpenGL capable visual (e.g. whether the visual is double buffered, the component sizes, Z-buffering depth, etc).

Command line options include:

-b  Find the 'best' visual and print its number.

-h  Print a short help message.

-i  Force an indirect rendering context.

-l  Print interesting OpenGL limits.

-s  Print a single extension per line.

-t  By default the visual info is presented in a concise 80 character wide tabular format. The -t option directs glxinfo to produce a wider, more readable tabular format.

-v  Directs glxinfo to generate a verbose format output style for the visual list similar to the info of xdpyinfo(1).

-display displayname
    Specify the display to query.

ENVIRONMENT
DISPLAY
    To get the default host, display number, and screen.

SEE ALSO
xdpyinfo(1)

AUTHORS
-nosplit Brian Paul

Modifications for XFree86 added by Mark Paton.